include:
  - project: "devops_labs_group/devops_labs_subgroup/lab6-build"
    ref: main
    file: "build.yml"
  - project: "devops_labs_group/devops_labs_subgroup/lab7-build"
    ref: main
    file: "deploy.yml"

stages:
  - build
  - deploy

build-frontend:
  extends: .build
  variables:
    MODULE: react-frontend
    DOCKERFILE: Dockerfile
  only:
    changes:
      - react-frontend/**/*

build-backend:
  extends: .build
  variables:
    MODULE: spring-backend
    DOCKERFILE: Dockerfile
  only:
    changes:
      - spring-backend/**/*

build-nginx:
  extends: .build
  variables:
    MODULE: nginx
    DOCKERFILE: Dockerfile
  only:
    changes:
      - nginx/**/*

deploy:
  extends: .deploy
  only:
    changes:
      - nginx/**/*
      - spring-backend/**/*
      - react-frontend/**/*
